Subject: Re: errors in alignment changes..

From: Sergei Shtylyov <[email-masked]>
Date: Fri, 12 Dec 2014 15:00:16 +0300

Hello.

On 12/12/2014 7:30 AM, Simon Horman wrote:

>> From: Sergei Shtylyov <[email-masked]>
>> Date: Thu, 11 Dec 2014 01:08:07 +0300

>>>     I guess we can just do:

>>> 		rxdesc->addr = dma_map_single(...);

>> Best not to leave a potentially invalid DMA address in a
>> receive descriptor the chip can potentially fetch and
>> look at.

>> That's why I said to put it into a local variable and
>> check for errors first.

> Hi Dave,

> this patch ending up in net is partially my fault.

> Sergei, do you have time to address David's concerns in relation to this
> patch?

    No, I probably don't.

> If not I would like to suggest reverting it for now.

    Why? The patch does what it was intended for. Getting rid of 
virt_to_phys() calls is a separate issue, IMO.

WBR, Sergei